Subject: Re: [PATCH resend] Renesas Ethernet AVB driver

From: Sergei Shtylyov <[email-masked]>
Date: Tue, 14 Apr 2015 19:58:18 +0300

Hello.

On 04/14/2015 07:30 PM, Richard Cochran wrote:

>>> It is surely avoidable.  The driver knows (or should know) whether or
>>> not the hardware has been configured or not.

>>     So you only want to avoid the register read here?

> No, that is not what I mean.  The two callers are gettime and adjtime.
> Can't you make sure the hardware is ready before you register the

    I tried to explain to you that I can't. We enter the device configuration 
mode (from the operation mode) when e.g. the *Ethernet* device is closed.

> clock in the first place?  If not, what is purpose of returning EBUSY?

    I'm not sure (remember, I'm not the primary author), perhaps this is to 
prevent bad time values when the AVB-DMAC in not operational... Nagai-san, 
could you explain this please?

> Thanks,
> Richard

WBR, Sergei